NullLogChute (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.NullLogChute class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class NullLogChute

    java.lang.Object
      org.apache.velocity.runtime.log.NullLogChute

All Implemented Interfaces:
  LogChute

Direct Known Subclasses:
  NullLogSystem

public class NullLogChute
extends Object
implements LogChute

Logger used in case of failure. Does nothing.

Since:
  1.5
Version:
  $Id: NullLogChute.java 730039 2008-12-30 03:53:19Z byron $
Author:
  Geir Magnusson Jr., Nathan Bubna.

Field Summary

Fields inherited from interface org.apache.velocity.runtime.log.LogChute
`DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

Constructor Summary
`NullLogChute()`

Method Summary
`void` | `init(RuntimeServices rs)` Initializes this LogChute.
`boolean` | `isLevelEnabled(int level)` Tell whether or not a log level is enabled.
`void` | `log(int level, String message)` logs messages to the great Garbage Collector in the sky
`void` | `log(int level, String message, Throwable t)` logs messages and their accompanying Throwables to the great Garbage Collector in the sky

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullLogChute

    public NullLogChute()

Method Detail

### init

    public void init(RuntimeServices rs)
              throws Exception

  Description copied from interface: `LogChute`
  Initializes this LogChute.

  Specified by:
    `init` in interface `LogChute`
  Parameters:
    `rs` -
  Throws:
    `Exception`
  See Also:
    `LogChute.init(org.apache.velocity.runtime.RuntimeServices)`

### log

    public void log(int level,
                    String message)

  logs messages to the great Garbage Collector in the sky

  Specified by:
    `log` in interface `LogChute`
  Parameters:
    `level` - severity level
    `message` - complete error message

### log

    public void log(int level,
                    String message,
                    Throwable t)

  logs messages and their accompanying Throwables to the great Garbage Collector in the sky

  Specified by:
    `log` in interface `LogChute`
  Parameters:
    `level` - severity level
    `message` - complete error message
    `t` - the java.lang.Throwable

### isLevelEnabled

    public boolean isLevelEnabled(int level)

  Description copied from interface: `LogChute`
  Tell whether or not a log level is enabled.

  Specified by:
    `isLevelEnabled` in interface `LogChute`
  Parameters:
    `level` -
  Returns:
    True if a level is enabled.
  See Also:
    `LogChute.isLevelEnabled(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.